Bug 809753 - cacti-0.8.8 is available
Summary: cacti-0.8.8 is available
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cacti
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ken Dreyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-04 10:06 UTC by Upstream Release Monitoring
Modified: 2013-07-14 21:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-14 21:32:01 UTC
Type: ---


Attachments (Terms of Use)
set the default URL back to /cacti/ (970 bytes, patch)
2012-04-11 17:32 UTC, Ken Dreyer
no flags Details | Diff

Description Upstream Release Monitoring 2012-04-04 10:06:30 UTC
Latest upstream release: 0.8.8
Current version in Fedora Rawhide: 0.8.7i
URL: http://www.cacti.net/downloads/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Phil Hale 2012-04-04 17:40:52 UTC
That is good news.  So when the 0.8.8 packages get built PIA will already be incorportated.  I ended up building a 8.7i package with PIA locally.

Comment 2 Ken Dreyer 2012-04-04 23:44:02 UTC
Yep. I pushed 0.8.8 to Rawhide today, but I need some clarification on how to handle httpd 2.4's new ACL syntax before I modify the other branches.

Comment 3 Ken Dreyer 2012-04-06 16:02:27 UTC
cacti-0.8.8-2.fc18 is in Rawhide, using httpd ACLs as described in https://lists.fedoraproject.org/pipermail/devel/2012-April/165446.html

I'll push to the other branches shortly.

Comment 4 Fedora Update System 2012-04-06 17:01:54 UTC
cacti-0.8.8-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cacti-0.8.8-2.fc17

Comment 5 Fedora Update System 2012-04-06 22:12:29 UTC
cacti-0.8.8-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cacti-0.8.8-2.fc16

Comment 6 Fedora Update System 2012-04-06 22:28:01 UTC
cacti-0.8.8-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cacti-0.8.8-2.fc15

Comment 7 Fedora Update System 2012-04-06 22:37:06 UTC
cacti-0.8.8-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cacti-0.8.8-2.el6

Comment 8 Fedora Update System 2012-04-06 22:42:17 UTC
cacti-0.8.8-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cacti-0.8.8-2.el5

Comment 9 Fedora Update System 2012-04-07 19:24:58 UTC
Package cacti-0.8.8-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing cacti-0.8.8-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0986/cacti-0.8.8-2.el6
then log in and leave karma (feedback).

Comment 10 Ken Dreyer 2012-04-11 17:11:06 UTC
Cacti 0.8.8 introduces a new $url_path variable, found in Fedora's /etc/cacti/db.php. Unfortunately this variable defaults to "/", which breaks from the previous convention of installing the Fedora package to the "/cacti/" URL.

Users can restore the previous behavior by defining $url_path to "/cacti/" in /etc/cacti/db.php.

I'm wondering if we should patch the Cacti 0.8.8 source to use "/cacti/" when $url_path is undefined, in order to keep backwards compatibility.

Comment 11 Ken Dreyer 2012-04-11 17:32:08 UTC
Created attachment 576824 [details]
set the default URL back to /cacti/

The change was made in upstream commits r7006, "Merge PIA into 0.8.7 branch" and r7008, "Clean up global and config files after PIA merge".

I'm considering applying this patch, which sets the default URL back to /cacti/ .

Comment 12 Ken Dreyer 2012-04-11 17:55:26 UTC
Patch submitted upstream, at http://bugs.cacti.net/view.php?id=2217

Comment 13 Ken Dreyer 2012-04-11 19:47:59 UTC
The patch allowed me to do two seamless upgrades on two of my EL5 systems, so I'm going to include it in cacti-0.8.8-3.

Comment 14 Fedora Update System 2012-04-12 01:54:21 UTC
cacti-0.8.8-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2012-04-12 02:39:06 UTC
cacti-0.8.8-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cacti-0.8.8-3.fc17

Comment 16 Fedora Update System 2012-04-18 23:06:05 UTC
cacti-0.8.8-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Ken Dreyer 2012-04-30 17:10:51 UTC
Tracking Cacti 0.8.8a in Bug 817506

Comment 18 Fedora Update System 2012-05-01 00:48:00 UTC
cacti-0.8.8-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2012-05-01 00:57:31 UTC
cacti-0.8.8-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2012-08-10 18:36:15 UTC
cacti-0.8.8a-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2012-08-10 18:38:40 UTC
cacti-0.8.8a-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.